﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo06.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo06" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 06</h2>
    <h3>Carregando através do LINQ To SQL</h3>
    <p>
        <asp:GridView ID="Escalacao" runat="server" AutoGenerateColumns="False" 
            DataSourceID="linqDS">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" ReadOnly="True" 
                    SortExpression="Nome" />
            </Columns>
        </asp:GridView>
        <asp:LinqDataSource ID="linqDS" runat="server" 
            ContextTypeName="NetMag.IntroGridView.WebApp.LINQModels.dataClassesFutebolDataContext" 
            EntityTypeName="" Select="new (Camisa, Nome)" TableName="Jogadors">
        </asp:LinqDataSource>
    </p> 
<h3>Código</h3>
<pre>
&lt;asp:GridView ID="Escalacao" runat="server" AutoGenerateColumns="False" 
    DataSourceID="linqDS"&gt;
    &lt;Columns&gt;
        &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
            SortExpression="Camisa" /&gt;
        &lt;asp:BoundField DataField="Nome" HeaderText="Nome" ReadOnly="True" 
            SortExpression="Nome" /&gt;
    &lt;/Columns&gt;
&lt;/asp:GridView&gt;
&lt;asp:LinqDataSource ID="linqDS" runat="server" 
    ContextTypeName="NetMag.IntroGridView.WebApp.LINQModels.dataClassesFutebolDataContext" 
    EntityTypeName="" Select="new (Camisa, Nome)" TableName="Jogadors"&gt;
&lt;/asp:LinqDataSource&gt;
</pre>
</asp:Content>
