﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo12.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo12" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 12</h2>
    <h3>Trabalhando com o controle CheckBox dentro do GridView</h3>
    <p>
        <asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            DataSourceID="sqlDS" AutoGenerateColumns="False" DataKeyNames="Camisa">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
                <asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" />
                <asp:TemplateField HeaderText="Seleção">
                    <HeaderTemplate>
                        <asp:CheckBox ID="CheckBox2" runat="server" AutoPostBack="True" 
                            oncheckedchanged="CheckBox2_CheckedChanged" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="True" 
                            oncheckedchanged="CheckBox1_CheckedChanged" />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="<%$ ConnectionStrings:csFutebol %>" 
            SelectCommand="SELECT * FROM [Jogador]"></asp:SqlDataSource>
    </p>
    <p>
        <asp:Button ID="btnItensSelecionados" runat="server" 
            onclick="btnItensSelecionados_Click" Text="Jogadores selecionados" />
    </p>
    <p>
        <asp:TextBox ID="txtSelecao" runat="server" Height="103px" TextMode="MultiLine" 
            Width="274px"></asp:TextBox>
    </p> 
<h3>Código</h3>
<pre>
        &lt;asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            DataSourceID="sqlDS" AutoGenerateColumns="False" DataKeyNames="Camisa"&gt;
            &lt;Columns&gt;
                &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" /&gt;
                &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
                &lt;asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" /&gt;
                &lt;asp:TemplateField HeaderText="Seleção"&gt;
                    &lt;HeaderTemplate&gt;
                        &lt;asp:CheckBox ID="CheckBox2" runat="server" AutoPostBack="True" 
                            oncheckedchanged="CheckBox2_CheckedChanged" /&gt;
                    &lt;/HeaderTemplate&gt;
                    &lt;ItemTemplate&gt;
                        &lt;asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="True" 
                            oncheckedchanged="CheckBox1_CheckedChanged" /&gt;
                    &lt;/ItemTemplate&gt;
                &lt;/asp:TemplateField&gt;
            &lt;/Columns&gt;
        &lt;/asp:GridView&gt;
        &lt;asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="&lt;%$ ConnectionStrings:csFutebol %&gt;" 
            SelectCommand="SELECT * FROM [Jogador]"&gt;&lt;/asp:SqlDataSource&gt;
</pre>
</asp:Content>
