﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo13.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo13" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 11</h2>
    <h3>Utilizando Master/Detail</h3>
    <p>
        <asp:GridView ID="Time" runat="server" AllowSorting="True" 
            DataSourceID="sqlDSTime" AutoGenerateColumns="False" DataKeyNames="IdTime">
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="IdTime" HeaderText="IdTime" InsertVisible="False" 
                    ReadOnly="True" SortExpression="IdTime" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="sqlDSTime" runat="server" 
            ConnectionString="<%$ ConnectionStrings:csFutebol %>" 
            SelectCommand="SELECT * FROM [Time]"></asp:SqlDataSource>
        <br />
        <asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" DataKeyNames="Camisa" DataSourceID="sqlDSJogadores">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
                <asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="sqlDSJogadores" runat="server" 
            ConnectionString="<%$ ConnectionStrings:csFutebol %>" 
            SelectCommand="SELECT * FROM [Jogador] WHERE ([IdTime] = @IdTime)">
            <SelectParameters>
                <asp:ControlParameter ControlID="Time" Name="IdTime" 
                    PropertyName="SelectedValue" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
    </p> 
<h3>Código</h3>
<pre>
        &lt;asp:GridView ID="Time" runat="server" AllowSorting="True" 
            DataSourceID="sqlDSTime" AutoGenerateColumns="False" DataKeyNames="IdTime"&gt;
            &lt;Columns&gt;
                &lt;asp:CommandField ShowSelectButton="True" /&gt;
                &lt;asp:BoundField DataField="IdTime" HeaderText="IdTime" InsertVisible="False" 
                    ReadOnly="True" SortExpression="IdTime" /&gt;
                &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
            &lt;/Columns&gt;
        &lt;/asp:GridView&gt;
        &lt;asp:SqlDataSource ID="sqlDSTime" runat="server" 
            ConnectionString="&lt;%$ ConnectionStrings:csFutebol %&gt;" 
            SelectCommand="SELECT * FROM [Time]"&gt;&lt;/asp:SqlDataSource&gt;
        &lt;br /&gt;
        &lt;asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" DataKeyNames="Camisa" DataSourceID="sqlDSJogadores"&gt;
            &lt;Columns&gt;
                &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" /&gt;
                &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
                &lt;asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" /&gt;
            &lt;/Columns&gt;
        &lt;/asp:GridView&gt;
        &lt;asp:SqlDataSource ID="sqlDSJogadores" runat="server" 
            ConnectionString="&lt;%$ ConnectionStrings:csFutebol %&gt;" 
            SelectCommand="SELECT * FROM [Jogador] WHERE ([IdTime] = @IdTime)"&gt;
            &lt;SelectParameters&gt;
                &lt;asp:ControlParameter ControlID="Time" Name="IdTime" 
                    PropertyName="SelectedValue" Type="Int32" /&gt;
            &lt;/SelectParameters&gt;
        &lt;/asp:SqlDataSource&gt;
</pre>
</asp:Content>
