﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo15.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo15" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 15</h2>
    <h3>Trabalhando com imagens</h3>
    <p>
        <asp:GridView ID="Escalacao" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" DataSourceID="sqlDS" PageSize="5" 
            DataKeyNames="Camisa" AllowSorting="True">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
                <asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" />
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                    ButtonType="Image" CancelImageUrl="~/Images/cancel.gif" CancelText="" 
                    DeleteImageUrl="~/Images/delete.gif" DeleteText="" 
                    EditImageUrl="~/Images/edit.gif" EditText="" UpdateImageUrl="~/Images/save.gif" 
                    UpdateText="" />
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="<%$ ConnectionStrings:csFutebol %>" 
            DeleteCommand="DELETE FROM [Jogador] WHERE [Camisa] = @Camisa" 
            InsertCommand="INSERT INTO [Jogador] ([Camisa], [Nome], [IdTime]) VALUES (@Camisa, @Nome, @IdTime)" 
            SelectCommand="SELECT * FROM [Jogador]" 
            UpdateCommand="UPDATE [Jogador] SET [Nome] = @Nome, [IdTime] = @IdTime WHERE [Camisa] = @Camisa">
            <DeleteParameters>
                <asp:Parameter Name="Camisa" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="Camisa" Type="Int32" />
                <asp:Parameter Name="Nome" Type="String" />
                <asp:Parameter Name="IdTime" Type="Int32" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="Nome" Type="String" />
                <asp:Parameter Name="IdTime" Type="Int32" />
                <asp:Parameter Name="Camisa" Type="Int32" />
            </UpdateParameters>
        </asp:SqlDataSource>
    </p> 
<h3>Código</h3>
<pre>
        &lt;asp:GridView ID="Escalacao" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" DataSourceID="sqlDS" PageSize="5" 
            DataKeyNames="Camisa" AllowSorting="True"&gt;
            &lt;Columns&gt;
                &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" /&gt;
                &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
                &lt;asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" /&gt;
                &lt;asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                    ButtonType="Image" CancelImageUrl="~/Images/cancel.gif" CancelText="" 
                    DeleteImageUrl="~/Images/delete.gif" DeleteText="" 
                    EditImageUrl="~/Images/edit.gif" EditText="" UpdateImageUrl="~/Images/save.gif" 
                    UpdateText="" /&gt;
            &lt;/Columns&gt;
        &lt;/asp:GridView&gt;
        &lt;asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="&lt;%$ ConnectionStrings:csFutebol %&gt;" 
            DeleteCommand="DELETE FROM [Jogador] WHERE [Camisa] = @Camisa" 
            InsertCommand="INSERT INTO [Jogador] ([Camisa], [Nome], [IdTime]) VALUES (@Camisa, @Nome, @IdTime)" 
            SelectCommand="SELECT * FROM [Jogador]" 
            UpdateCommand="UPDATE [Jogador] SET [Nome] = @Nome, [IdTime] = @IdTime WHERE [Camisa] = @Camisa"&gt;
            &lt;DeleteParameters&gt;
                &lt;asp:Parameter Name="Camisa" Type="Int32" /&gt;
            &lt;/DeleteParameters&gt;
            &lt;InsertParameters&gt;
                &lt;asp:Parameter Name="Camisa" Type="Int32" /&gt;
                &lt;asp:Parameter Name="Nome" Type="String" /&gt;
                &lt;asp:Parameter Name="IdTime" Type="Int32" /&gt;
            &lt;/InsertParameters&gt;
            &lt;UpdateParameters&gt;
                &lt;asp:Parameter Name="Nome" Type="String" /&gt;
                &lt;asp:Parameter Name="IdTime" Type="Int32" /&gt;
                &lt;asp:Parameter Name="Camisa" Type="Int32" /&gt;
            &lt;/UpdateParameters&gt;
        &lt;/asp:SqlDataSource&gt;
</pre>
</asp:Content>
