﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo16.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo16" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 16</h2>
    <h3>Imagens de acordo com determinada condição</h3>
    <p>
        <asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" DataKeyNames="Camisa" DataSourceID="sqlDS">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
                <asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" />
                <asp:TemplateField HeaderText="Possui cartão?">
                    <ItemTemplate>
                        <asp:Image ID="Image1" runat="server" 
                            ImageUrl='<%# GetImagem(Convert.ToString(Eval("PossuiCartao"))) %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="<%$ ConnectionStrings:csFutebol %>" 
            SelectCommand="SELECT * FROM [Jogador]"></asp:SqlDataSource>
    </p> 
<h3>Código</h3>
<pre>
        &lt;asp:GridView ID="Escalacao" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" DataKeyNames="Camisa" DataSourceID="sqlDS"&gt;
            &lt;Columns&gt;
                &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" ReadOnly="True" 
                    SortExpression="Camisa" /&gt;
                &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
                &lt;asp:BoundField DataField="IdTime" HeaderText="IdTime" 
                    SortExpression="IdTime" /&gt;
                &lt;asp:TemplateField HeaderText="Possui cartão?"&gt;
                    &lt;ItemTemplate&gt;
                        &lt;asp:Image ID="Image1" runat="server" 
                            ImageUrl='&lt;%# GetImagem(Convert.ToString(Eval("PossuiCartao"))) %&gt;' /&gt;
                    &lt;/ItemTemplate&gt;
                &lt;/asp:TemplateField&gt;
            &lt;/Columns&gt;
        &lt;/asp:GridView&gt;
        &lt;asp:SqlDataSource ID="sqlDS" runat="server" 
            ConnectionString="&lt;%$ ConnectionStrings:csFutebol %&gt;" 
            SelectCommand="SELECT * FROM [Jogador]"&gt;&lt;/asp:SqlDataSource&gt;
</pre>

</asp:Content>
