﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo04.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo04" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 03</h2>
    <h3>Carregando através do controle SiteMapDataSource</h3>
    <p>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            DataSourceID="siteMapDS">
            <Columns>
                <asp:BoundField DataField="Description" HeaderText="Description" 
                    ReadOnly="True" SortExpression="Description" />
                <asp:BoundField DataField="Title" HeaderText="Title" ReadOnly="True" 
                    SortExpression="Title" />
                <asp:BoundField DataField="Url" HeaderText="Url" ReadOnly="True" 
                    SortExpression="Url" />
            </Columns>
        </asp:GridView>
        <asp:SiteMapDataSource ID="siteMapDS" runat="server" />
    </p> 
<h3>Código</h3>
<pre>
&lt;asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
    DataSourceID="siteMapDS"&gt;
    &lt;Columns&gt;
        &lt;asp:BoundField DataField="Description" HeaderText="Description" 
            ReadOnly="True" SortExpression="Description" /&gt;
        &lt;asp:BoundField DataField="Title" HeaderText="Title" ReadOnly="True" 
            SortExpression="Title" /&gt;
        &lt;asp:BoundField DataField="Url" HeaderText="Url" ReadOnly="True" 
            SortExpression="Url" /&gt;
    &lt;/Columns&gt;
&lt;/asp:GridView&gt;
&lt;asp:SiteMapDataSource ID="siteMapDS" runat="server" /&gt;
</pre>
</asp:Content>
