﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Exemplo10.aspx.cs" Inherits="NetMag.IntroGridView.WebApp.Exemplo10" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Exemplo 10</h2>
    <h3>Paginação no GridView</h3>
    <p>
        <asp:GridView ID="Escalacao" runat="server" AllowPaging="True" 
            AutoGenerateColumns="False" DataSourceID="objectDS" PageSize="5">
            <Columns>
                <asp:BoundField DataField="Camisa" HeaderText="Camisa" 
                    SortExpression="Camisa" />
                <asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="objectDS" runat="server" 
            SelectMethod="ListarJogadores" 
            TypeName="NetMag.IntroGridView.WebApp.Comun.Dados"></asp:ObjectDataSource>
    </p> 
<h3>Código</h3>
<pre>
&lt;asp:GridView ID="Escalacao" runat="server" AllowPaging="True" 
    AutoGenerateColumns="False" DataSourceID="objectDS" PageSize="5"&gt;
    &lt;Columns&gt;
        &lt;asp:BoundField DataField="Camisa" HeaderText="Camisa" 
            SortExpression="Camisa" /&gt;
        &lt;asp:BoundField DataField="Nome" HeaderText="Nome" SortExpression="Nome" /&gt;
    &lt;/Columns&gt;
&lt;/asp:GridView&gt;
&lt;asp:ObjectDataSource ID="objectDS" runat="server" 
    SelectMethod="ListarJogadores" 
    TypeName="NetMag.IntroGridView.WebApp.Comun.Dados"&gt;&lt;/asp:ObjectDataSource&gt;
</pre>
</asp:Content>
